interactions:
- request:
    body: '{"iban": "ESXXXXX", "lead_line_ids": [{"product_code": "SE_SC_REC_MOBILE_T_150_0",
      "type": "mobile", "mobile_isp_info": {"previous_provider": 3, "previous_contract_type":
      "prepaid", "previous_owner_vat": "1234", "previous_owner_name": "Name", "previous_owner_lastname":
      "Lastname", "previous_owner_surname": "Surname", "type": "portability"}}], "partner_id":
      "1234"}'
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '366'
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: POST
    uri: http://odoo-sc.local:8069/api/crm-lead/create
  response:
    body:
      string: '{"code": 400, "name": "Bad Request", "description": "<p>ICC donor is
        required in a portability</p>"}'
    headers:
      Content-Length:
      - '100'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Wed, 01 Sep 2021 11:42:46 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 400
      message: BAD REQUEST
version: 1
